Subject: Re: [PATCH net-next v8 08/13] netlink: specs: add ethnl PHY_GET command set

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Feb 2024 15:10:23 -0800

On Thu, 22 Feb 2024 08:49:48 +0100 Maxime Chevallier wrote:
> > ethtool-user.c:689:10: error: ‘ETHTOOL_A_PHY_UPSTREAM_PHY_INDEX’ undeclared here (not in a function); did you mean ‘ETHTOOL_A_PHY_UPSTREAM_INDEX’?
> >   689 |         [ETHTOOL_A_PHY_UPSTREAM_PHY_INDEX] = { .name = "upstream-phy-index", .type = YNL_PT_U32, },
> >       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >       |          ETHTOOL_A_PHY_UPSTREAM_INDEX
> > 
> > Unfortunately ethtool in the in-between state where we can auto-gen
> > user space code (or rather most of it) but the uAPI header is not
> > auto-generated so we need to take extra care to keep things in sync :(  
> 
> Is there anything I run for testing, so that I can make sure this
> doesn't happen again ?

make -C tools/net/ynl

will run the build. It needs some basic python libs, should be easy to
figure out from stack traces if they are missing. 

I didn't mention it to you because.. it may not build for you on
net-next until what I'm about to post gets merged.